%{?scl:%scl_package mcollective-nettest-common}
%{!?scl:%global pkg_name %{name}}

Summary: Agent to do network tests from a mcollective host
Name: %{?scl_prefix}mcollective-nettest-common
Version: 3.0.3
Release: 1%{?dist}
License: BSD
URL: http://github.com/deasmi
Vendor: Puppet Labs
Packager: Dean Smith <dean@zelotus.com>
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group: System Tools
Source0: mcollective-nettest-common-3.0.3.tgz
%{?scl:Requires: %{scl}-runtime}
Requires: %{?scl_prefix}rubygem-net-ping 
Requires: %{?scl_prefix}mcollective-common >= 2.2.1

%description
Agent to do network tests from a mcollective host

%prep
%setup -n %{pkg_name}-%{version}

%build

%install
rm -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/data
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/util
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/validator
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/agent

%{__install} -m0644 usr/libexec/mcollective/mcollective/data/nettest_data.ddl %{buildroot}%{_libexecdir}/mcollective/mcollective/data/nettest_data.ddl
%{__install} -m0644 usr/libexec/mcollective/mcollective/data/nettest_data.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/data/nettest_data.rb
%{__install} -m0644 usr/libexec/mcollective/mcollective/util/nettest_agent.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/util/nettest_agent.rb
%{__install} -m0644 usr/libexec/mcollective/mcollective/validator/nettest_server_address.ddl %{buildroot}%{_libexecdir}/mcollective/mcollective/validator/nettest_server_address.ddl
%{__install} -m0644 usr/libexec/mcollective/mcollective/validator/nettest_fqdn.ddl %{buildroot}%{_libexecdir}/mcollective/mcollective/validator/nettest_fqdn.ddl
%{__install} -m0644 usr/libexec/mcollective/mcollective/validator/nettest_server_address.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/validator/nettest_server_address.rb
%{__install} -m0644 usr/libexec/mcollective/mcollective/validator/nettest_fqdn.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/validator/nettest_fqdn.rb
%{__install} -m0644 usr/libexec/mcollective/mcollective/agent/nettest.ddl %{buildroot}%{_libexecdir}/mcollective/mcollective/agent/nettest.ddl

%files
%defattr(-,root,root,-)
%{_libexecdir}/mcollective/mcollective/data/nettest_data.ddl
%{_libexecdir}/mcollective/mcollective/data/nettest_data.rb
%{_libexecdir}/mcollective/mcollective/util/nettest_agent.rb
%{_libexecdir}/mcollective/mcollective/validator/nettest_server_address.ddl
%{_libexecdir}/mcollective/mcollective/validator/nettest_fqdn.ddl
%{_libexecdir}/mcollective/mcollective/validator/nettest_server_address.rb
%{_libexecdir}/mcollective/mcollective/validator/nettest_fqdn.rb
%{_libexecdir}/mcollective/mcollective/agent/nettest.ddl

%changelog
* Wed Jul 03 2013 Dean Smith <dean@zelotus.com> - 3.0.3-1
- Built Package mcollective-nettest-common
